Package io.dapr.v1

# Class AppCallbackGrpc

java.lang.Object
io.dapr.v1.AppCallbackGrpc

    @Generated(value="by gRPC proto compiler (version 1.25.0)",
               comments="Source: appcallback.proto")
    public final class AppCallbackGrpc
    extends java.lang.Object

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `AppCallbackGrpc.AppCallbackBlockingStub` | AppCallback V1 allows user application to interact with Dapr runtime.
  `static class` | `AppCallbackGrpc.AppCallbackFutureStub` | AppCallback V1 allows user application to interact with Dapr runtime.
  `static class` | `AppCallbackGrpc.AppCallbackImplBase` | AppCallback V1 allows user application to interact with Dapr runtime.
  `static class` | `AppCallbackGrpc.AppCallbackStub` | AppCallback V1 allows user application to interact with Dapr runtime.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `SERVICE_NAME` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListInputBindingsResponse>` | `getListInputBindingsMethod()` |
  `static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListTopicSubscriptionsResponse>` | `getListTopicSubscriptionsMethod()` |
  `static io.grpc.MethodDescriptor<DaprAppCallbackProtos.BindingEventRequest,​DaprAppCallbackProtos.BindingEventResponse>` | `getOnBindingEventMethod()` |
  `static io.grpc.MethodDescriptor<CommonProtos.InvokeRequest,​CommonProtos.InvokeResponse>` | `getOnInvokeMethod()` |
  `static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventRequest,​com.google.protobuf.Empty>` | `getOnTopicEventMethod()` |
  `static io.grpc.ServiceDescriptor` | `getServiceDescriptor()` |
  `static AppCallbackGrpc.AppCallbackBlockingStub` | `newBlockingStub​(io.grpc.Channel channel)` | Creates a new blocking-style stub that supports unary and streaming output calls on the service
  `static AppCallbackGrpc.AppCallbackFutureStub` | `newFutureStub​(io.grpc.Channel channel)` | Creates a new ListenableFuture-style stub that supports unary calls on the service
  `static AppCallbackGrpc.AppCallbackStub` | `newStub​(io.grpc.Channel channel)` | Creates a new async stub that supports all call types for the service

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME
    See Also:
      Constant Field Values

- ## Method Details

  - ### getOnInvokeMethod

    public static io.grpc.MethodDescriptor<CommonProtos.InvokeRequest,​CommonProtos.InvokeResponse> getOnInvokeMethod()

  - ### getListTopicSubscriptionsMethod

    public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListTopicSubscriptionsResponse> getListTopicSubscriptionsMethod()

  - ### getOnTopicEventMethod

    public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventRequest,​com.google.protobuf.Empty> getOnTopicEventMethod()

  - ### getListInputBindingsMethod

    public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.ListInputBindingsResponse> getListInputBindingsMethod()

  - ### getOnBindingEventMethod

    public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.BindingEventRequest,​DaprAppCallbackProtos.BindingEventResponse> getOnBindingEventMethod()

  - ### newStub

    public static AppCallbackGrpc.AppCallbackStub newStub​(io.grpc.Channel channel)
    Creates a new async stub that supports all call types for the service

  - ### newBlockingStub

    public static AppCallbackGrpc.AppCallbackBlockingStub newBlockingStub​(io.grpc.Channel channel)
    Creates a new blocking-style stub that supports unary and streaming output calls on the service

  - ### newFutureStub

    public static AppCallbackGrpc.AppCallbackFutureStub newFutureStub​(io.grpc.Channel channel)
    Creates a new ListenableFuture-style stub that supports unary calls on the service

  - ### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()